lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'pry-janitor/version'

Gem::Specification.new do |spec|
  spec.name          = 'pry-janitor'
  spec.version       = PryJanitor::VERSION
  spec.authors       = ['Tony']
  spec.email         = ['tony@angel.co']

  spec.summary       = '🔪 Kill idle pry sessions'
  spec.description   = 'Production rails consoles will automatically exit after 2 hours of inactivity.'
  spec.homepage      = 'https://github.com/venturehacks/pry-janitor'
  spec.license       = 'MIT'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'pry', '~> 0.11'

  spec.add_development_dependency 'bundler', '~> 2.0'
  spec.add_development_dependency 'rake', '~> 10.0'
end
